# Get a TLS certificate for your yggdrasil *mesh.cat* domain

### Dependencies

[Yggdrasil](https://yggdrasil-network.github.io/installation.html)

[dnsmasq](https://thekelleys.org.uk/dnsmasq/doc.html)


### Installation and usage
```shell
wget https://git.thisisjoes.site/mesh.cat/get-certs/raw/branch/master/get-certs.sh
chmod +x get-certs.sh
./get-certs.sh
```

### Tor/proxies
You can edit the script to enable [proxychains](https://github.com/rofl0r/proxychains-ng) support, like this: `proxychains=true`


### Note
Remember to create a cron job to run the script once a week.

Example:
```cron
11 21 * * * /opt/get-certs.sh > /dev/null 2>&1
```

